/**
 * Copyright (C) 2010 MediaShelf <http://www.yourmediashelf.com/>
 *
 * This file is part of fedora-client.
 *
 * fedora-client is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * fedora-client is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with fedora-client.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.yourmediashelf.fedora.client.request;

import static com.yourmediashelf.fedora.client.FedoraClient.ingest;
import static com.yourmediashelf.fedora.client.FedoraClient.purgeObject;
import static org.junit.Assert.assertEquals;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import com.yourmediashelf.fedora.client.FedoraClientException;
import com.yourmediashelf.fedora.client.response.FedoraResponse;
import com.yourmediashelf.fedora.client.response.IngestResponse;

public class PurgeObjectIT extends BaseFedoraRequestIT {

    @Override
    @Before
    public void setUp() throws Exception {
        // do nothing
    }

    @Override
    @After
    public void tearDown() throws Exception {
        // do nothing
    }

    @Test
    public void testPurgeObject() throws Exception {
        IngestResponse response = null;
        String pid = null;

        // first, ingest object
        response = ingest(null).execute();
        assertEquals(201, response.getStatus());
        pid = response.getPid();

        // now delete it
        FedoraResponse purge = purgeObject(pid).execute();
        assertEquals(200, purge.getStatus());
    }

    @Override
    public void testNoDefaultClientRequest() throws FedoraClientException {
        // first, ingest object
        IngestResponse response = ingest(null).execute();
        assertEquals(201, response.getStatus());
        String pid = response.getPid();

        testNoDefaultClientRequest(purgeObject(pid), 200);
    }
}
